---
apiVersion: v1
data:
  # Generate auth with:
  # echo -n "User: "; read u; echo -n "Pass: "; read -s p; echo; base64 <<< "$u:$(openssl passwd -stdin -apr1 <<< $p)"
  # TODO: Read from ENV variables
  auth: emFjaHU6JGFwcjEkQ0JreXR6NU8kbVNzZjJZdmZ1ZEZ3bDlXSjBpWm9uMAo=
kind: Secret
metadata:
  name: basic-auth
  namespace: kubernetes-dashboard
type: Opaque
apiVersion: v1
---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: dashboard-ingress
  namespace: kubernetes-dashboard
  annotations:
    kubernetes.io/tls-acme: "true"
    nginx.ingress.kubernetes.io/auth-type: basic
    nginx.ingress.kubernetes.io/auth-secret: basic-auth
    nginx.ingress.kubernetes.io/auth-realm: "Authentication Required"
    nginx.ingress.kubernetes.io/backend-protocol: "HTTPS"
spec:
  rules:
    - host: dashboard.${DNS_ZONE}
      http:
        paths:
          - backend:
              serviceName: kubernetes-dashboard
              servicePort: 443
  tls:
    - hosts:
        - dashboard.${DNS_ZONE}
      secretName: dashboard-zch-fi-cert

